Getnet DocsGetnet Docs

Retrieves registration data and services available in the seller contract.

GET/sellers

Returns the data and configurations of the authenticated seller.

Header Parameters

Authorizationstringrequired

Bearer Token (JWT). x-seller-id, country, and tenant are extracted from the token.

Response

Seller data

seller_idstring<uuid>
merchant_idstring
seller_codestring
trade_namestring
emailstring<email>
countrystring
currenciesstring[]
servicesobject
Show services properties
checkoutboolean
vaultboolean
card_verificationboolean
preauthorizationboolean
unico_idboolean
threedsboolean
anti_fraudboolean
payment_linkboolean
tokenizationboolean
paymentsobject

Payment methods configuration. At least one method must be enabled (enabled: true). **Availability by country:** | Method | BR | MX | AR | CL | ES | UY | |--------|----|----|----|----|----|----| | credit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | debit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | bankslip | ✓ | — | — | — | — | — | | instant_payment | ✓ | — | — | — | — | — | | google_pay | ✓ | — | — | — | — | — | | apple_pay | ✓ | — | — | — | — | — | | c2p_master | — | — | ✓ | — | — | — |

Show payments properties
creditobject
Show credit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring

Card brand (VISA, MASTERCARD, AMEX, ELO, HIPERCARD, CABAL, CARNET)

currenciesstring[]
threedsboolean

3DS authentication enabled

supported_installmentsobject[]
Show supported_installments properties
schemastring

Installment schema identifier

schema_namestring

Descriptive name of the schema

installmentsinteger[]

Enabled installments (integers >= 2)

installments_with_interestinteger[]

Installments with interest

installments_with_increaseobject[]

Groups of installments with surcharge rate

Show installments_with_increase properties
installmentsinteger[]
ratenumber<float>
debitobject
Show debit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring
currenciesstring[]
threedsboolean
bankslipobject
Show bankslip properties
enabledboolean
instant_paymentobject
Show instant_payment properties
enabledboolean
google_payobject

Available only for BR

Show google_pay properties
enabledboolean
apple_payobject

Available only for BR

Show apple_pay properties
enabledboolean
c2p_masterobject

Click to Pay Mastercard — available only for AR

Show c2p_master properties
enabledboolean

Unauthorized

error_codestring
messagestring
status_codeinteger

Not found

error_codestring
messagestring
status_codeinteger

Internal server error

error_codestring
messagestring
status_codeinteger
Request
curl -X GET "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/sellers" \
  -H "Authorization: <Authorization>"
Response
{
  "seller_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "merchant_id": "abc123",
  "seller_code": "SELLER001",
  "trade_name": "Loja Exemplo",
  "email": "[email protected]",
  "country": "BR",
  "currencies": [
    "BRL"
  ],
  "services": {
    "checkout": true,
    "vault": true,
    "card_verification": true,
    "preauthorization": true,
    "unico_id": true,
    "threeds": true,
    "anti_fraud": true,
    "payment_link": true,
    "tokenization": true
  },
  "payments": {
    "credit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true,
          "supported_installments": [
            {
              "schema": "plan_lojista",
              "schema_name": "Plan Lojista",
              "installments": [
                2,
                3,
                6,
                9,
                12
              ],
              "installments_with_interest": [
                6,
                9,
                12
              ],
              "installments_with_increase": null
            }
          ]
        }
      ]
    },
    "debit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true
        }
      ]
    },
    "bankslip": {
      "enabled": true
    },
    "instant_payment": {
      "enabled": true
    },
    "google_pay": {
      "enabled": true
    },
    "apple_pay": {
      "enabled": true
    },
    "c2p_master": {
      "enabled": false
    }
  }
}